Index: tmp/org.txm.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 136)
+++ tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 137)
@@ -5,7 +5,8 @@
 Bundle-Version: 0.7.8.qualifier
 Bundle-Activator: org.txm.rcpapplication.Activator
 Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.ui,
+Require-Bundle: org.txm.ca.rcp;bundle-version="1.0.0",
+ org.eclipse.ui,
  org.eclipse.core.runtime,
  org.eclipse.core.filesystem;bundle-version="1.2.0",
  org.eclipse.ui.ide,
@@ -62,13 +63,17 @@
  org.txm.chartsengine.jfreechart.rcp;bundle-version="1.0.0",
  org.txm.chartsengine.r.rcp;bundle-version="1.0.0",
  org.txm.chartsengine.raster.rcp;bundle-version="1.0.0",
+ org.txm.cah.core;bundle-version="1.0.0",
  org.txm.chartsengine.svgbatik.rcp;bundle-version="1.0.0",
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
  org.txm.chartsengine.r.core;bundle-version="1.0.0",
  Batik;bundle-version="0.0.0",
  org.txm.progression.rcp,
  org.txm.specificities.rcp,
- org.txm.specificities.core;bundle-version="1.0.0"
+ org.txm.specificities.core;bundle-version="1.0.0",
+ org.txm.ca.core,
+ org.txm.partition.core;bundle-version="1.0.0",
+ org.txm.progression.core;bundle-version="1.0.0"
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Export-Package: junit.extensions,
@@ -126,8 +131,6 @@
  org.junit.runners,
  org.junit.runners.model,
  org.txm.rcp.adapters,
- org.txm.rcp.chartsengine.base.events.ca,
- org.txm.rcp.chartsengine.base.events.cah,
  org.txm.rcp.chartsengine.base.messages,
  org.txm.rcp.editors,
  org.txm.rcp.preferences,
@@ -149,8 +152,6 @@
  org.txm.rcpapplication.decorators,
  org.txm.rcpapplication.editors,
  org.txm.rcpapplication.editors.adaptableDataStructure,
- org.txm.rcpapplication.editors.ca,
- org.txm.rcpapplication.editors.cah,
  org.txm.rcpapplication.editors.concordances,
  org.txm.rcpapplication.editors.cooccurrences,
  org.txm.rcpapplication.editors.dictionnary,
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/messages/Messages.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/messages/Messages.java	(revision 136)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/messages/Messages.java	(revision 137)
@@ -1,6 +1,7 @@
 package org.txm.wordcloud.rcp.messages;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.core.messages.TXMCoreMessages;
 
 public class Messages extends NLS {
 	
@@ -12,7 +13,7 @@
 	
 	
 	public static String EditorName;
-	public static String EditorToolBar_vmin;
+	public static String EditorToolBar_vmax;
 	public static String EditorToolBar_fmin;
 	public static String EditorToolBar_Percent_of_rotated_labels;
 	public static String EditorToolBar_Randomize_positions;
@@ -28,7 +29,8 @@
 	public static String PreferencePage_Random_word_positions;
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		TXMCoreMessages.initializeMessages(BUNDLE_NAME, Messages.class);
+		//NLS.initializeMessages(BUNDLE_NAME, Messages.class);
 	}
 
 	private Messages() {
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 136)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 137)
@@ -11,8 +11,6 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Spinner;
-import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
-import org.txm.chartsengine.rcp.editors.ChartEditorInput;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcpapplication.views.CorporaView;
@@ -29,25 +27,9 @@
  */
 public class WordCloudEditor extends ChartEditorPart {
 	
-	
-	/**
-	 * 
-	 */
-	public WordCloudEditor() {
-	}
 
 	
-	
-	/**
-	 * 
-	 * @param swtComponentsProvider
-	 * @param chartEditorInput
-	 */
-	public WordCloudEditor(SWTChartsComponentsProvider swtComponentsProvider, ChartEditorInput chartEditorInput) {
-		super(swtComponentsProvider, chartEditorInput);
-	}
-	
-	
+
 	@Override
 	public void createPartControl(Composite parent) {
 		super.createPartControl(parent);
@@ -73,7 +55,7 @@
 //		this.getParametersComposite().setLayout(layout);
 
 		// max words
-		new Label(this.getParametersGroup(), SWT.NONE).setText(Messages.EditorToolBar_vmin);
+		new Label(this.getParametersGroup(), SWT.NONE).setText(Messages.EditorToolBar_vmax);
 		final Spinner maxWordsSpinner = new Spinner(this.getParametersGroup(), SWT.BORDER);
 		maxWordsSpinner.setMinimum(10);
 		maxWordsSpinner.setIncrement(1);
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditorInput.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditorInput.java	(revision 136)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditorInput.java	(revision 137)
@@ -30,7 +30,6 @@
 import org.eclipse.jface.resource.ImageDescriptor;
 import org.eclipse.ui.IPersistableElement;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
-import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditorInput;
 import org.txm.rcpapplication.Application;
 import org.txm.rcpapplication.IImageKeys;
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/messages/PartitionUIMessages.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/messages/PartitionUIMessages.java	(revision 0)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/messages/PartitionUIMessages.java	(revision 137)
@@ -0,0 +1,23 @@
+package org.txm.partition.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+
+
+
+public class PartitionUIMessages extends NLS {
+
+	// FIXME: use the same properties file than the bundle	
+	private static final String BUNDLE_NAME = "l10n.bundle"; //$NON-NLS-1$
+
+	public static String PreferencesPage_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE;
+	public static String PreferencesPage_DIMENSIONS_SORT_BY_PARTS_SIZE;
+	
+
+	static {
+		// initialize resource bundle
+		NLS.initializeMessages(BUNDLE_NAME, PartitionUIMessages.class);
+	}
+
+	private PartitionUIMessages() {
+	}
+}

Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java	(revision 136)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java	(revision 137)
@@ -32,7 +32,7 @@
 import org.eclipse.ui.IWorkbench;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.partition.core.preferences.PartitionDimensionsPreferences;
-import org.txm.partition.rcp.messages.RCPPartitionMessages;
+import org.txm.partition.rcp.messages.PartitionUIMessages;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
 import org.txm.rcpapplication.Messages;
@@ -57,8 +57,8 @@
 		// Charts rendering
 		Composite chartsTab = SWTChartsComponentsProvider.createChartsRenderingPreferencesTabFolderComposite(this.getFieldEditorParent());
 		
-		this.addField(new BooleanFieldEditor(PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE, RCPPartitionMessages.PreferencesPage_DIMENSIONS_SORT_BY_PARTS_SIZE, chartsTab));
-		this.addField(new BooleanFieldEditor(PartitionDimensionsPreferences.CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE, RCPPartitionMessages.PreferencesPage_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE, chartsTab));
+		this.addField(new BooleanFieldEditor(PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE, PartitionUIMessages.PreferencesPage_DIMENSIONS_SORT_BY_PARTS_SIZE, chartsTab));
+		this.addField(new BooleanFieldEditor(PartitionDimensionsPreferences.CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE, PartitionUIMessages.PreferencesPage_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE, chartsTab));
 		
 		// other shared preferences
 		SWTChartsComponentsProvider.createChartsRenderingPreferencesFields(this, chartsTab);
Index: tmp/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/editors/___RasterChartEditorPart.java
===================================================================
--- tmp/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/editors/___RasterChartEditorPart.java	(revision 136)
+++ tmp/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/editors/___RasterChartEditorPart.java	(revision 137)
@@ -43,7 +43,6 @@
 	}
 
 
-	@Override
 	public String getID() {
 		return ___RasterChartEditorPart.ID;
 	}
Index: tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java
===================================================================
--- tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java	(revision 136)
+++ tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java	(revision 137)
@@ -1,8 +1,11 @@
 package org.txm.chartsengine.r.core;
 
+import java.awt.Color;
 import java.io.File;
+import java.util.ArrayList;
 
 import org.txm.chartsengine.core.ChartCreator;
+import org.txm.utils.logger.Log;
 
 
 
@@ -34,6 +37,14 @@
 	}
 	
 	@Override
+	public ArrayList<Color> getSeriesShapesColors(Object chart) {
+		Log.severe(this.getClass() + ".getSeriesShapesColors(): Not yet implemented."); //$NON-NLS-1$
+		return null;
+	}
+
+
+	
+	@Override
 	public Class getChartsEngineClass() {
 		return RChartsEngine.class;
 	}
Index: tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 136)
+++ tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 137)
@@ -1,32 +1,15 @@
 package org.txm.chartsengine.r.core;
 import java.io.File;
-import java.text.DecimalFormat;
 import java.util.ArrayList;
-import java.util.List;
 
-import org.apache.commons.lang.StringEscapeUtils;
-import org.jfree.chart.JFreeChart;
 import org.rosuda.REngine.REXPMismatchException;
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.r.core.preferences.RChartsEnginePreferences;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
-import org.txm.core.chartsengine.r.__RDevice;
-import org.txm.core.chartsengine.r.messages.RChartsEngineMessages;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.functions.ca.CA;
-import org.txm.functions.classification.CAH;
-import org.txm.functions.progression.Progression;
-import org.txm.functions.specificities.SpecificitesResult;
-import org.txm.searchengine.cqp.corpus.Part;
-import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.stat.StatException;
-import org.txm.stat.data.Matrix;
-import org.txm.stat.data.Vector;
+import org.txm.stat.engine.r.RDevice;
 import org.txm.stat.engine.r.RWorkspace;
 import org.txm.stat.engine.r.RWorkspaceException;
-import org.txm.stat.engine.r.data.DoubleMatrix;
-import org.txm.stat.engine.r.data.VectorImpl;
-import org.txm.stat.engine.r.function.FactoMineRCA;
 import org.txm.utils.logger.Log;
 
 
@@ -46,7 +29,7 @@
 	/**
 	 * The charts engine description.
 	 */
-	public final static String DESCRIPTION = RChartsEngineMessages.RChartsEngine_ENGINE_DESCRIPTION;
+	public final static String DESCRIPTION = "R";
 
 
 	/**
@@ -59,7 +42,7 @@
 	/**
 	 * The R device to use for generating charts.
 	 */
-	protected __RDevice rDevice;
+	protected RDevice rDevice;
 
 
 	/**
@@ -83,221 +66,13 @@
 	
 	@Override
 	public File createChartFile(Object chart, File file)	{
-		
-		try {
-			RWorkspace r = RWorkspace.getRWorkspaceInstance();
-			r.plot(file, (String) chart, this.getRDevice());
-		}
-		catch(RWorkspaceException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-		catch(REXPMismatchException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-		catch(StatException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-		
+		this.plot(file, (String) chart);
 		return file;
 	}
 	
-	
 
-	@Override
-	public Object createCAFactorialMapChart(CA ca) {
-		// TODO Auto-generated method stub
-		return null;
-	}
 
 
-
-	@Override
-	public File createCAFactorialMapChartFile(CA ca, File file)	{
-
-		// FactoMineR R package
-		if(ca.useFactoMineR())	{
-			return this.createFactorialMapChart((FactoMineRCA) ca.getCa(), file, ca.isShowIndividuals(), ca.isShowVariables(), ca.getFirstDimension(), ca.getSecondDimension(), this.createCAFactorialMapChartTitle(ca));
-		}
-		// CA R package
-		else	{
-			return this.createFactorialMapChart((org.txm.stat.engine.r.function.CA) ca.getCa(), file, ca.isShowIndividuals(), ca.isShowVariables(), ca.getFirstDimension(), ca.getSecondDimension());
-		}
-
-	}
-
-
-
-	/**
-	 * Creates a factorial map chart from the specified CA result from "FactoMineR" R package and writes it in the specified file.
-	 * @param ca
-	 * @param destFile
-	 * @param showIndividuals
-	 * @param showVariables
-	 * @param firstDimension
-	 * @param secondDimension
-	 * @return the generated file containing the chart
-	 */
-	public File createFactorialMapChart(FactoMineRCA ca, File destFile, boolean showIndividuals, boolean showVariables, int firstDimension, int secondDimension, String title)	{
-
-		try {
-
-			String label = ""; //$NON-NLS-1$
-			String invisible = ""; //$NON-NLS-1$
-			if (showIndividuals)
-				label +=", \"col\""; //$NON-NLS-1$
-			else
-				invisible +=", \"col\""; //$NON-NLS-1$
-
-			if (showVariables)
-				label +=", \"row\""; //$NON-NLS-1$
-			else
-				invisible +=", \"row\""; //$NON-NLS-1$
-
-			if (label.length() > 0)
-				label = "c("+label.substring(1)+")"; //$NON-NLS-1$ //$NON-NLS-2$
-			else
-				label = "c(\"all\")"; //$NON-NLS-1$
-
-			if (invisible.length() > 0)
-				invisible = "c("+invisible.substring(1)+")"; //$NON-NLS-1$ //$NON-NLS-2$
-			else
-				invisible = "c()"; //$NON-NLS-1$
-
-			String axes = "c(" + firstDimension + ", " + secondDimension + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-
-			RWorkspace.getRWorkspaceInstance().plot(destFile, "plot.CA("+ ca.getSymbol() +", label=" + label + ", invisible=" + invisible + ", axes=" + axes + ", title=\"" + title + "\", cex=.8)", this.rDevice); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
-		}
-		catch(Exception e) {
-			Log.severe(ChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_CANT_CREATE_CA_FILE_CHART + " - FactoMineR package", DESCRIPTION) + e); //$NON-NLS-1$
-		}
-
-		return destFile;
-	}
-
-
-	/**
-	 * Creates a factorial map chart from the specified CA result from "CA" R package and writes it in the specified file.
-	 * @param ca
-	 * @param destFile
-	 * @param showIndividuals
-	 * @param showVariables
-	 * @param firstDimension
-	 * @param secondDimension
-	 * @return the generated file containing the chart
-	 */
-	public File createFactorialMapChart(org.txm.stat.engine.r.function.CA ca, File destFile, boolean showIndividuals, boolean showVariables, int firstDimension, int secondDimension)	{
-
-		try {
-
-			double[] sv = ca.getValeursPropres();
-			double tot = 0;
-			DecimalFormat f = new DecimalFormat("###.00"); //$NON-NLS-1$
-			for (int i = 0; i < sv.length; i++)
-				tot += (sv[i]);
-
-			double inertie1 = (((sv[firstDimension - 1] * sv[firstDimension - 1]) / tot) * 100.0);
-			double inertie2 = (((sv[secondDimension - 1] * sv[secondDimension - 1]) / tot) * 100.0);
-			String contrib1 = "axis(" + firstDimension + "): inertia=" + f.format(inertie1) + "%"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-			String contrib2 = "axis(" + secondDimension + "): inertia=" + f.format(inertie2) + "%"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-			String cmd = "plot(" + ca.getSymbol() + ", dim=c(" + firstDimension + ", " + secondDimension + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-			cmd += ", what=c(" + (showVariables ? "\"all\"" : "\"none\"") + ", " + (showIndividuals ? "\"all\"" : "\"none\"") + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$
-			// cmd +=
-			// ", mass = c(TRUE, TRUE), contrib = c(\"relative\", \"relative\")";
-			cmd += ", col = c(\"#0000FF\", \"#FF0000\")"; //$NON-NLS-1$
-			cmd += ", cex=.5);"; //$NON-NLS-1$
-			cmd += "mtext(\"" + contrib1 + "\", side = 1, line = 2);"; //$NON-NLS-1$ //$NON-NLS-2$
-			cmd += "mtext(\"" + contrib2 + "\", side = 2, line = 2);"; //$NON-NLS-1$ //$NON-NLS-2$
-
-			RWorkspace.getRWorkspaceInstance().plot(destFile, cmd, this.rDevice);
-		}
-		catch(Exception e) {
-			Log.severe(ChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_CANT_CREATE_CA_FILE_CHART + " - CA package", DESCRIPTION) + e); //$NON-NLS-1$
-		}
-
-		return destFile;
-	}
-
-
-	@Override
-	public Object createCASingularValuesBarChart(CA ca) {
-		// TODO Auto-generated method stub
-		return null;
-	}
-
-
-	@Override
-	public File createCASingularValuesBarChartFile(CA ca, File file) {
-
-		// FactoMineR R package
-		if(ca.useFactoMineR())	{
-			return this.createSingularValuesBarPlot((FactoMineRCA) ca.getCa(), file);
-		}
-		// CA R package
-		else	{
-			return this.createSingularValuesBarPlot((org.txm.stat.engine.r.function.CA) ca.getCa(), file);
-		}
-
-	}
-
-
-	/**
-	 * Creates a bar plot with singular values of the specified CA result from "FactoMineR" R package.
-	 * @param ca
-	 * @param file
-	 * @return the singular values bar plot object
-	 */
-	public File createSingularValuesBarPlot(FactoMineRCA ca, File file) {
-		try {
-			// Create the X axis labels with custom prefix
-			StringBuilder xLabels = new StringBuilder(30);
-			xLabels.append("c("); //$NON-NLS-1$
-			for(int i = 0, c = ca.getColumnsCount() - 1; i < c; i++) {
-				if(i > 0)	 {
-					xLabels.append(", "); //$NON-NLS-1$
-				}
-				xLabels.append("\"" + ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_X_LABELS_PREFIX + (i + 1) + "\""); //$NON-NLS-1$ //$NON-NLS-2$
-			}
-			xLabels.append(")"); //$NON-NLS-1$
-
-			String cmd = "tmpY <- " + ca.getSymbol() + "$eig$eigenvalue[1:length(" + ca.getSymbol() + "$eig$eigenvalue) - 1];\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-			cmd += "barplot(tmpY, main=\"" //$NON-NLS-1$
-					+ ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_TITLE + "\", ylab=\"" + //$NON-NLS-1$
-					ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_Y_AXIS_LABEL + "\", xlab=\"" + //$NON-NLS-1$
-					ChartsEngineMessages.ChartsEngine_CA_SINGULAR_VALUES_X_AXIS_LABEL + "\", names.arg=" + xLabels + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$
-
-			RWorkspace.getRWorkspaceInstance().plot(file, cmd, this.rDevice);
-		}
-		catch (Exception e) {
-			Log.severe(ChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_CANT_CREATE_CA_SINGULAR_VALUES_FILE_CHART + " - FactoMineR package", DESCRIPTION) + e); //$NON-NLS-1$
-		}
-
-		return file;
-	}
-
-
-	/**
-	 * Creates a bar plot with singular values of the specified CA result from "CA" R package.
-	 * @param ca
-	 * @param file
-	 * @return the singular values bar plot object
-	 */
-	public File createSingularValuesBarPlot(org.txm.stat.engine.r.function.CA ca, File file) {
-		try {
-			RWorkspace.getRWorkspaceInstance().plot(file, "barplot(" +  ca.getSymbol() + "$sv)", this.rDevice); //$NON-NLS-1$ //$NON-NLS-2$
-		}
-		catch (Exception e) {
-			Log.severe(ChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_CANT_CREATE_CA_SINGULAR_VALUES_FILE_CHART + " - CA package", DESCRIPTION) + e); //$NON-NLS-1$
-		}
-
-		return file;
-	}
-
-
-
-
 //	@Override
 //	public Object createPartitionDimensionsChart(Partition partition, boolean sortPartsBySize) {
 //		// TODO Auto-generated method stub
@@ -641,77 +416,71 @@
 
 
 
-	@Override
-	public Object createCAH2dChart(CAH cah) {
-		return this.createCAH2dChartFile(cah);
-	}
+//	@Override
+//	public Object createCAH2dChart(CAH cah) {
+//		return this.createCAH2dChartFile(cah);
+//	}
+//
+//
+//
+//	@Override
+//	public File createCAH2dChartFile(CAH cah, File file) {
+//		try {
+//			RWorkspace.getRWorkspaceInstance().plot(file, "plot.HCPC(" + cah.getSymbol() + ", new.plot=FALSE, choice=\"tree\")", this.rDevice); //$NON-NLS-1$ //$NON-NLS-2$
+//		}
+//		catch(RWorkspaceException e) {
+//			// TODO Auto-generated catch block
+//			e.printStackTrace();
+//		}
+//		catch(REXPMismatchException e) {
+//			// TODO Auto-generated catch block
+//			e.printStackTrace();
+//		}
+//		catch(StatException e) {
+//			// TODO Auto-generated catch block
+//			e.printStackTrace();
+//		}
+//		return file;
+//	}
+//
+//
+//	@Override
+//	public Object createCAH3dChart(CAH cah) {
+//		return this.createCAH3dChartFile(cah);
+//	}
+//
+//	@Override
+//	public File createCAH3dChartFile(CAH cah, File file) {
+//		try {
+//			RWorkspace.getRWorkspaceInstance().plot(file, "plot.HCPC("+ cah.getSymbol() +", new.plot=FALSE)", this.rDevice); //$NON-NLS-1$ //$NON-NLS-2$
+//		}
+//		catch(RWorkspaceException e) {
+//			// TODO Auto-generated catch block
+//			e.printStackTrace();
+//		}
+//		catch(REXPMismatchException e) {
+//			// TODO Auto-generated catch block
+//			e.printStackTrace();
+//		}
+//		catch(StatException e) {
+//			// TODO Auto-generated catch block
+//			e.printStackTrace();
+//		}
+//		return file;
+//	}
 
 
 
-	@Override
-	public File createCAH2dChartFile(CAH cah, File file) {
-		try {
-			RWorkspace.getRWorkspaceInstance().plot(file, "plot.HCPC(" + cah.getSymbol() + ", new.plot=FALSE, choice=\"tree\")", this.rDevice); //$NON-NLS-1$ //$NON-NLS-2$
-			// FIXME: for tests without drawing the inertia barplot. Without it, the max available clusters can exceed 16
-			//RWorkspace.getRWorkspaceInstance().plot(file, "plot.HCPC(" + cah.getSymbol() + ", new.plot=FALSE, choice=\"tree\", tree.barplot=FALSE)", this.rDevice); //$NON-NLS-1$ //$NON-NLS-2$
-			// FIXME: Tests for drawing only the inertia bar plot. We may need to create a method for this : createCAHIntertiaChart() in the charts engines
-			//RWorkspace.getRWorkspaceInstance().plot(file, "plot.HCPC(" + cah.getSymbol() + ", new.plot=FALSE, choice=\"bar\")", this.rDevice); //$NON-NLS-1$ //$NON-NLS-2$
 
+//	/**
+//	 * Gets the current R device.
+//	 * @return the rDevice
+//	 */
+//	public RDevice getRDevice() {
+//		return rDevice;
+//	}
+//
 
-		}
-		catch(RWorkspaceException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-		catch(REXPMismatchException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-		catch(StatException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-		return file;
-	}
-
-
-	@Override
-	public Object createCAH3dChart(CAH cah) {
-		return this.createCAH3dChartFile(cah);
-	}
-
-	@Override
-	public File createCAH3dChartFile(CAH cah, File file) {
-		try {
-			RWorkspace.getRWorkspaceInstance().plot(file, "plot.HCPC("+ cah.getSymbol() +", new.plot=FALSE)", this.rDevice); //$NON-NLS-1$ //$NON-NLS-2$
-		}
-		catch(RWorkspaceException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-		catch(REXPMismatchException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-		catch(StatException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-		return file;
-	}
-
-
-
-
-	/**
-	 * Gets the current R device.
-	 * @return the rDevice
-	 */
-	public __RDevice getRDevice() {
-		return rDevice;
-	}
-
-
 	
 	/**
 	 * Plots the specified expression using R workspace instance and current charts engine output format.
@@ -745,19 +514,19 @@
 
 		// FIXME : voir comment gérer cela autrement + supprimer certaines méthodes du RDevice devenues inutiles depuis qu'on stocke outputFormat ?
 		if(outputFormat.equals(ChartsEngine.OUTPUT_FORMAT_JPEG))	{
-			this.rDevice = __RDevice.JPEG;
+			this.rDevice = RDevice.JPEG;
 		}
 		else if(outputFormat.equals(ChartsEngine.OUTPUT_FORMAT_PDF))	{
-			this.rDevice = __RDevice.PDF;
+			this.rDevice = RDevice.PDF;
 		}
 		else if(outputFormat.equals(ChartsEngine.OUTPUT_FORMAT_PNG))	{
-			this.rDevice = __RDevice.PNG;
+			this.rDevice = RDevice.PNG;
 		}
 		else if(outputFormat.equals(ChartsEngine.OUTPUT_FORMAT_PS))	{
-			this.rDevice = __RDevice.PS;
+			this.rDevice = RDevice.PS;
 		}
 		else if(outputFormat.equals(ChartsEngine.OUTPUT_FORMAT_SVG))	{
-			this.rDevice = __RDevice.SVG;
+			this.rDevice = RDevice.SVG;
 		}
 	}
 
@@ -815,97 +584,14 @@
 	}
 
 
-	 @Override
-	public void updateChartCAFactorialMapSetRowsVisible(Object chart, CA ca, boolean visible)	{
-		super.updateChartCAFactorialMapSetRowsVisible(chart, ca, visible);
 
-		// Recreate the chart file
-		this.createCAFactorialMapChartFile(ca, (File) chart);
-	}
+//
+//	@Override
+//	public void updateChartCAFactorialMapSetLabelItemsSelectionOrder(Object chart, String[] rowLabels, String[] colLabels) {
+//		Log.severe(this.getClass() + ".updateChartCAFactorialMapSetLabelItemsSelectionOrder(): Not yet implemented."); //$NON-NLS-1$
+//	}
 
 
-	 @Override
-	public void updateChartCAFactorialMapSetColumnsVisible(Object chart, CA ca, boolean visible)	{
-		 super.updateChartCAFactorialMapSetColumnsVisible(chart, ca, visible);
 
-		// Recreate the chart file
-		this.createCAFactorialMapChartFile(ca, (File) chart);
-	}
 
-
-	 @Override
-	public void updateChartCAFactorialMapSetDimensions(Object chart, CA ca, int dimension1, int dimension2)	{
-		 super.updateChartCAFactorialMapSetDimensions(chart, ca, dimension1, dimension2);
-
-		// Recreate the chart file
-		this.createCAFactorialMapChartFile(ca, (File) chart);
-	 }
-
-
-	@Override
-	public void updateChartCAFactorialMapHighlightPoints(Object chart, boolean rows, String[] labels) {
-		// FIXME: not implemented
-		Log.severe(this.getClass() + ".updateChartCAFactorialMapHighlightPoints(): Not yet implemented."); //$NON-NLS-1$
-	}
-
-
-	@Override
-	public ArrayList<String> getCAFactorialMapChartSelectedRowPoints(Object chart) {
-		// FIXME: not implemented
-		Log.severe(this.getClass() + ".updateChartCAFactorialMapGetSelectedRowPoints(): Not yet implemented."); //$NON-NLS-1$
-		return new ArrayList<String>(0);
-	}
-
-
-	@Override
-	public ArrayList<String> getCAFactorialMapChartSelectedColumnPoints(Object chart) {
-		// FIXME: not implemented
-		Log.severe(this.getClass() + ".updateChartCAFactorialMapGetSelectedColumnPoints(): Not yet implemented."); //$NON-NLS-1$
-		return new ArrayList<String>(0);
-	}
-
-
-	@Override
-	public ArrayList<Integer> getProgressionChartSelectedPointPositions(Object chart) {
-		// FIXME: not implemented
-		Log.severe(this.getClass() + ".updateChartProgressionGetSelectedPoints(): Not yet implemented."); //$NON-NLS-1$
-		return new ArrayList<Integer>(0);
-	}
-
-
-	@Override
-	public ArrayList<Integer> getProgressionChartAllPointPositions(Object chart) {
-		// FIXME: not implemented
-		Log.severe(this.getClass() + ".getProgressionChartAllPointPositions(): Not yet implemented."); //$NON-NLS-1$
-		return new ArrayList<Integer>(0);
-	}
-
-
-	@Override
-	public ArrayList<Integer> getProgressionChartSelectedSeries(Object chart) {
-		Log.severe(this.getClass() + ".getProgressionChartSelectedSeries(): Not yet implemented."); //$NON-NLS-1$
-		return new ArrayList<Integer>(0);
-	}
-
-
-	@Override
-	public ArrayList<Integer> getProgressionChartSelectedPointNumbers(Object chart) {
-		Log.severe(this.getClass() + ".getProgressionChartSelectedPointNumber(): Not yet implemented."); //$NON-NLS-1$
-		return new ArrayList<Integer>(0);
-	}
-
-
-	@Override
-	public int getProgressionChartLastSelectedSeries(Object chart) {
-		Log.severe(this.getClass() + ".getProgressionChartLastSelectedSeries(): Not yet implemented."); //$NON-NLS-1$
-		return -1;
-	}
-
-
-	@Override
-	public void updateChartCAFactorialMapSetLabelItemsSelectionOrder(Object chart, String[] rowLabels, String[] colLabels) {
-		Log.severe(this.getClass() + ".updateChartCAFactorialMapSetLabelItemsSelectionOrder(): Not yet implemented."); //$NON-NLS-1$
-	}
-
-
 }
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/rcp/synoptic/editor/EditionPanel.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/rcp/synoptic/editor/EditionPanel.java	(revision 136)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/rcp/synoptic/editor/EditionPanel.java	(revision 137)
@@ -285,6 +285,13 @@
 	}
 
 	/**
+	 * Removes all highlighted words.  
+	 */
+	public void removeHighlightWords() {
+		this.highlightedColorPerWordIDS.clear();
+	}
+	
+	/**
 	 * Open the page containing the word with ID=$line_wordid
 	 * @param line_wordid
 	 * @return true if the page changed
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/rcp/synoptic/editor/SynopticEditionEditor.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/rcp/synoptic/editor/SynopticEditionEditor.java	(revision 136)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/rcp/synoptic/editor/SynopticEditionEditor.java	(revision 137)
@@ -174,6 +174,16 @@
 		}
 	}
 
+	/**
+	 * Removes all highlighted words.  
+	 */
+	public void removeHighlightWords() {
+		for(EditionPanel panel : editionPanels.values()) {
+			panel.removeHighlightWords();
+		}
+	}
+	
+	
 	//	/**
 	//	 * 
 	//	 * @param wordids2 all the words to highlight
Index: tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/editors/___SVGChartEditorPart.java
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/editors/___SVGChartEditorPart.java	(revision 136)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/editors/___SVGChartEditorPart.java	(revision 137)
@@ -64,7 +64,6 @@
 	}
 
 
-	@Override
 	public String getID() {
 		return ___SVGChartEditorPart.ID;
 	}
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/r/RSpecificitiesBarChartCreator.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/r/RSpecificitiesBarChartCreator.java	(revision 136)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/r/RSpecificitiesBarChartCreator.java	(revision 137)
@@ -5,10 +5,10 @@
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.r.core.RChartCreator;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.functions.progression.Progression;
+import org.txm.progression.core.functions.Progression;
 import org.txm.specificities.core.functions.SpecificitesResult;
+import org.txm.specificities.core.messages.SpecificitiesCoreMessages;
 import org.txm.specificities.core.preferences.SpecificitiesPreferences;
 import org.txm.stat.data.Matrix;
 import org.txm.stat.data.Vector;
@@ -160,7 +160,7 @@
 
 		}
 		catch (Exception e) {
-			Log.severe(ChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_CANT_CREATE_SPECIFICITIES_FILE_CHART, this.getChartsEngine().getName()) + e);
+			Log.severe(SpecificitiesCoreMessages.bind(SpecificitiesCoreMessages.ChartsEngine_CANT_CREATE_SPECIFICITIES_FILE_CHART, this.getChartsEngine().getName()) + e);
 		}
 
 		return file;
